Subject: Re: RFC 3484 Section 6 Rule 9

From: Brian E Carpenter <[email-masked]>
Date: Sat, 07 Jun 2008 11:55:16 +1200

Arifumi,

You got the wrong address for 6man...

   Brian

-------- Original Message --------
Subject: Re: RFC 3484 Section 6 Rule 9
Date: Fri, 6 Jun 2008 18:09:02 +0900
From: Arifumi Matsumoto <[email-masked]>
To: Brian E Carpenter <[email-masked]>, [email-masked]
CC: Joe Abley <[email-masked]>,        marcelo bagnulo braun <[email-masked]>,        Mark Andrews
<[email-masked]>
References: <[email-masked]> <[email-masked]>
<[email-masked]> <[email-masked]>

Let me switch to 6man ML.

Regarding this issue of RFC 3484 section 6 rule 9,
let me give you my two cents, which is conditional longest
matching rule application.

  When the length of matching bits of the destination
  address and the source address is longer than N,
  the rule 9 is applied. Otherwise, the order of the
  destination addresses do not change. (For DNS-RR)

The N should be configurable and I guess it should be 32
by default. This is simply because the two sites whose
matching bit length is longer than 32 are probably
adjacent.

Regards,
Arifumi Matsumoto

On 2008/06/04, at 13:20, Brian E Carpenter wrote:

> Joe,
>
>> It seems to me that direct assignment could quite possibly become the
>> default for small IPv6 sites in the ARIN region. IPv6 uptake to
>> date has
>> been so tiny that I don't think anybody can predict what behaviours
>> will
>> become prevalent if/when IPv6 takes off.
>
> We can't predict how economic actors will choose to act. What we can
> predict
> is catastrophe if ten or 100 million sites attempt to push /48
> advertisements
> out into BGP4. It would be highly irresponsible of any registry to
> pursue
> a policy that leads to such a result, until we have a technical
> solution
> to the resulting scaling problem. It's exactly because we don't have
> such
> a solution that the IPv6 design model is PA.
>
> I'm not shocked at the notion of a few hundred thousand early
> adopters of
> IPv6 getting PI prefixes. But that's a very different matter than
> millions.
>
> (This remains directly relevant to the subject of this thread. The
> infamous Rule 9 exists, right or wrong, because of PA addressing
> in IPv6.)
>
>    Brian
> _______________________________________________
> IETF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Arifumi Matsumoto" <[email-masked]>
Date: Sat, 7 Jun 2008 11:01:06 +0900

Let me switch to 6man ML.
# Brian, thank you for redirection ;)

Regards,
Arifumi Matsumoto